<?php
	$addon['name'] = 'CMIS (Content Management System)';
	$addon['icon'] = 'file-o';
	
	global $sitefolder;
	
	$path = $sitefolder.'/cmis';
	if (!file_exists($path))
	{
		mkdir($path);
	}
	$path .= '/settings.ini';
	
	if (file_exists($path))
		$adsettings = parse_ini_file($sitefolder.'/cmis/settings.ini');
		
	
	if (isset($adsettings))
	{
		require_once($installfolder.'/addons/cmis/hooks.php');
		
		$addon['menu'] = array();
		$addon['menuname'] = $adsettings['SystemName'];
		$addon['menuicon'] = 'file-o';
		
		$addon['hooks'] = array();
		
		$addon['hooks']['fetch'] = 'cmis_fetch_hook:2';

		$itm = array();
		
		$b = "http://".$adsettings['URL'];
		
		$itm['name'] = 'Open '.$adsettings['SystemName'];
		if (strstr($b,'http') === FALSE) $b = "http://".$b;
		$itm['href'] = $b;

		$addon['menu'][] = $itm;
	}

?>